StandingsTools

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.ctdp.rfdynhud.util
Class StandingsTools

    java.lang.Object
      net.ctdp.rfdynhud.util.StandingsTools

    public class StandingsTools

extends java.lang.Object

Constructor Summary
`StandingsTools()`

Method Summary
`static void` | `computeRaceGapsRelativeToPosition(ScoringInfo scoringInfo, VehicleScoringInfo viewedVSI, float[] relTimes)` Computes gaps for all drivers to the player.
`static int` | `getDisplayedVSIsForScoring(ScoringInfo scoringInfo, VehicleScoringInfo viewedVSI, boolean useClassScoring, StandingsView standingsView, boolean forceLeaderDisplayed, VehicleScoringInfo[] target)` Fills the target array with `VehicleScoringInfo`s for all visible drivers.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StandingsTools

    public StandingsTools()

Method Detail

### getDisplayedVSIsForScoring

    public static int getDisplayedVSIsForScoring(ScoringInfo scoringInfo,
                                                 VehicleScoringInfo viewedVSI,
                                                 boolean useClassScoring,
                                                 StandingsView standingsView,
                                                 boolean forceLeaderDisplayed,
                                                 VehicleScoringInfo[] target)

  Fills the target array with `VehicleScoringInfo`s for all visible drivers.

  Parameters:
    `scoringInfo` - the scoring info
    `viewedVSI` - the currently viewed vehicle
    `useClassScoring` - use class relative scoring?
    `standingsView` - the standings view
    `forceLeaderDisplayed` - force leader displayed, even if far away?
    `target` - the target array
  Returns:
    the actual number of displayed drivers.

### computeRaceGapsRelativeToPosition

    public static void computeRaceGapsRelativeToPosition(ScoringInfo scoringInfo,
                                                         VehicleScoringInfo viewedVSI,
                                                         float[] relTimes)

  Computes gaps for all drivers to the player.

  Parameters:
    `scoringInfo` - the scoring info
    `viewedVSI` - the currently viewed vehicle
    `relTimes` - target array

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD